package at.kugel.tool.buildtray.config;

/**
 * Configuration for the tray.
 *
 * @author <a href="http://www.code-cop.org/">Peter Kofler</a>
 */
public interface Config {

   String getConfigFileLocation();

   long getPollingMs();

   String getServerlUrl();

   String getServerDisplayUrl();

   boolean isCheckBusy();

   String getDatePattern();

   long getSplashWaitMs();

   String getBusyPattern();

   String getSuccessValue();

   String getFailedValue();

   String getStatusPattern();

   int getStatusPatternNameGroup();

   int getStatusPatternStatusGroup();

   int getStatusPatternDateGroup();

   boolean useProxy();

   String getProxyHost();

   int getProxyPort();

   boolean useAuth();

   String getServerUsername();

   String getServerPassword();

   boolean useTrustStore();

   String getTrustStore();

   String getTrustStorePassword();

}
